Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class RwiPropertyMultiValueTableEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
                              |
                              +--com.togethersoft.openapi.ide.inspector.util.editors.RwiPropertyMultiValueTableEditor

public class RwiPropertyMultiValueTableEditor
extends MultiValueEditor

Represents editor for multi value RwiProperty as a table.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
`myValuesVector`

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Constructor Summary
`RwiPropertyMultiValueTableEditor(String propertyName)` Creates table editor with the default title.

Method Summary
`protected String` | `convertAtomicValueToString(Object atomicValue)`
`protected Object` | `convertStringToAtomicValue(String stringValue)`
`protected MultiValueUI` | `getUI()` Returns UI representation of this editor.

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
`convertValueToString, doAction, editingCanceled, editingStopped, filterValues, getValue, setValue`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
`getChooserType, getInnerEditor`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCustomEditor, init, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### RwiPropertyMultiValueTableEditor

    public RwiPropertyMultiValueTableEditor(String propertyName)

  Creates table editor with the default title.
  Parameters:
    propertyName - Name of the property which values will be edited

Method Detail

### convertAtomicValueToString

    protected String convertAtomicValueToString(Object atomicValue)

### convertStringToAtomicValue

    protected Object convertStringToAtomicValue(String stringValue)

### getUI

    protected MultiValueUI getUI()

  Returns UI representation of this editor.

Association Links

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD